Bug 732208 - remove -I/usr/include/cryptopp from cryptopp.pc
Summary: remove -I/usr/include/cryptopp from cryptopp.pc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cryptopp
Version: 14
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-20 18:12 UTC by Serge Pavlovsky
Modified: 2011-11-25 02:28 UTC (History)
2 users (show)

Fixed In Version: cryptopp-5.6.1-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-25 03:24:25 UTC


Attachments (Terms of Use)

Description Serge Pavlovsky 2011-08-20 18:12:52 UTC
Description of problem:

cryptopp.pc adds -I/usr/include/cryptopp
it pollutes global namespace with names like base64.h md5.h zlib.h etc
please remove this line, cryptopp headers should be included as <cryptopp/zlib.h>, not as <zlib.h>

Comment 1 Fedora Update System 2011-10-16 22:23:13 UTC
cryptopp-5.6.1-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cryptopp-5.6.1-5.fc14

Comment 2 Fedora Update System 2011-10-16 22:23:30 UTC
cryptopp-5.6.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cryptopp-5.6.1-5.fc15

Comment 3 Fedora Update System 2011-10-16 22:26:22 UTC
cryptopp-5.6.1-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cryptopp-5.6.1-5.fc16

Comment 4 Fedora Update System 2011-10-16 22:27:40 UTC
cryptopp-5.6.1-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cryptopp-5.6.1-5.el6

Comment 5 Fedora Update System 2011-10-17 00:31:34 UTC
Package cryptopp-5.6.1-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cryptopp-5.6.1-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14468
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-10-25 03:24:25 UTC
cryptopp-5.6.1-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-11-04 20:00:45 UTC
cryptopp-5.6.1-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-11-25 02:07:58 UTC
cryptopp-5.6.1-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-11-25 02:28:55 UTC
cryptopp-5.6.1-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.